#include"mbasic.h"

int CurrentLine=0;

void Error(const char * fmt,...)
{
 va_list args;
 printf("Error (Line %u): ",CurrentLine);
 va_start(args,fmt);
 vprintf(fmt,args);
 va_end(args);
 printf("\n");
 exit(1);
}

void Expected(const char * fmt,...)
{
 va_list args;
 printf("Error (Line %u): ",CurrentLine);
 va_start(args,fmt);
 vprintf(fmt,args);
 va_end(args);
 printf(" expected\n");
 exit(1);
}
